Figure - 0 O Dev #111811

0 O Dev#110122 (New): D MKO O 00O
0 O Dev#110126 (New): O MKO DAFO 0O OO
U MKO O APPO 0O LeBoCastAppU [ TC-RID: 1201-03005010]

2022-09-08 08:24 - CD FW-0O O

Status: 0 O Closed Start date: 2022-09-08
Priority: Normal Due date: 2022-09-16
Assignee: CODFWO OO % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

mJ0don0:

00D00000sSbKOODOOOODOOOOPRDO
https://thundersoft.feishu.cn/docx/doxcniTUEP1dhB9hqgltrgSQOnNEg

m JOURLODODO
m [ 0Ocased 00O

s JO000000000000O00

History

#1 - 2022-09-08 08:28 - CD FW-0 O

- Subject changed from 0 MK O LeBoCastAppO O TC-RID: 1201-03007010 to 00 MKO O APPL [0 LeBoCastAppd O TC-RID: 1201-030070101

#2-2022-11-1411:36 - CD FW-0O O

- Assignee changed from CD AF-00 0 00 to CD FWO O O

#3-2022-11-1411:37-CD FW-0O O

goooOoooooooodouueD0bOOOoOoOoOOoobOoOoOoDoo

#4 - 2022-11-1411:37-CDFwW-0 O

- Status changed from New to O [0 O In Progress

- % Done changed from 0 to 50

#5-2022-12-22 18:14 - CD FW-0 O

- Subject changed from 0 MKO O APPO O LeBoCastAppC O TC-RID: 1201-03007010 to O MKO O APPO O LeBoCastApp O TC-RID: 1201-03005010

#6 - 2022-12-22 20:48 - CD FW-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

159763

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:LeboCast: LeboCast Base Codel.LeboCast Base CodeTC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id:
1c2b4f02a40d170c6ea72cf9739a5a8ehb682714fc

2025-07-04
https://thundersoft.feishu.cn/docx/doxcniTUEPIdhB9hq1trqSQOnEg

#7 - 2022-12-22 20:49 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

159764

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:LeboCast: add selinux permissionTC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id: 1a579e18ee1189e15f23d326451671fa6678df023

#8 - 2022-12-22 20:50 - CD FW-0 O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

160666

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:LeboCast: Default dynamic permission for mediaTC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id: 1a91688feb7674fh4b167c0a0b0c8a43cf4aec2cs

#9 - 2022-12-23 13:36 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

171842

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:LeboCast: Ul changeTC-RID: 1201-03005011Issuel D: TS-R-DF-111811Change-1d: 13bb9aadc982183cc7b5d637a34bb168a9c8e196e

#10 - 2023-01-18 11:06 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

177334

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:LeboCast:Change connect stringTC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id: 126ab1637361a4c101c78ba63cfce5h793ff19d28

#11 - 2023-02-0209:51 -CD FwO O O

- Status changed from O O O In Progress to O O Closed

- % Done changed from 50 to 100

goooooooooooobooooooo

#12 - 2023-03-14 20:02 - 10T scm

2025-07-04
Gerrit Merge Information(

1D

Project

Branch

Uploader

187266

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:LeboCast:VC1 Ul matchTC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id: 159fa8b6e33c0c12a103566a93349e3e15d581ch8

#13 - 2023-04-07 17:03 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

192410

general/platform/vendor/hht/apps/LeB
oCast

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wujun.wang@thundersoft.com

AF:LeboCast: update new sdkVersion:SDK_r60055_27705TC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id:
1b52e7cee3bb8dd062f272¢8628820f4b308c2e32

#14 - 2023-04-21 17:11 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

195320

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:LeboCast: update new sdkVersion:SDK_r60055_27707TC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id:
le4d74ed97a17b832a3ae57629781054c1c4bcd2a

#15 - 2023-05-26 13:52 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

201726

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:LeboCast: update launch icon and app namel.update launch icon2.update app name3.update package name4.update sdkTC-RID: 1201-0300501IssuelD:
TS-R-DF-111811Change-Id: 17bb5082908d4832e1ae0c741a68a5d97f8767573

#16 - 2023-06-05 16:00 - IoT scm

2025-07-04
Gerrit Merge Information(

1D

Project

Branch

Uploader

204022

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:LeboCast: Set prefer ip address to AP1.Set prefer ip to AP2.When cast service on create init lebo serviceTC-RID: 1201-0300501IssuelD:
TS-R-DF-111811Change-1d: 155d25bf7ecbbd47095e397d6¢51472397b06ee3f

#17 - 2023-06-13 21:16 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

207025

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:LeboCast: Fixed can't find deviceTC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-1d: 16f709¢c7284e9dd72b900da4f5d3e8888853d06de

#18 - 2023-06-14 09:31 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

207048

general/platform/vendor/hht/apps/LeB
oCast

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:LeboCast: Fixed can't find deviceTC-RID: 1201-0300501Issuel D: TS-R-DF-111811Change-1d: 16f709c7284e9dd72b900da4f5d3e8888853d06de(cherry picked
from commit 4866a4b3e4fdcbcdball2e655be025¢904671527)

#19 - 2023-06-15 22:06 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

207854

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:LeboCast: Restart server when wifi changed. TC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id: 143833d6ddd3e0d854bd62019alalfc6670755f3f

#20 - 2023-06-15 22:07 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

207832

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-04
AF:LeboCast: Restart server when wifi changed. TC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-1d: 143833d6ddd3e0d854bd62019alalfc6670755f3f

#21 - 2023-06-20 14:04 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

208640

general/platform/vendor/hht/apps/LeB
oCast

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:LeboCast: Disable watermark on top-left corner. TC-RID: 1201-0300501Issuel D: TS-R-DF-111811Change-1d: 193d8fb4641f0d0e975b1af9h98ab3b81bd18bd51

#22 - 2023-06-20 19:07 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

208739

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:LeboCast: Use Device's SerialNo for Lebo license. TC-RID: 1201-03005011ssuelD: TS-R-DF-111811Change-1d:
17b6d873b536484cabe65493a0d0f6cfa08db9434

#23 - 2023-06-25 21:31 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

209205

general/platform/vendor/hht/apps/LeB
oCast

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:LeboCast: Disable watermark on top-left corner. TC-RID: 1201-03005011ssuelD: TS-R-DF-111811Change-Id:
193d8fh4641f0d0e975b1af9b98ab3b81bd18bd51(cherry picked from commit a2640391bbe3e9c08d2414eac4da265b3fa5h454)

#24 - 2023-06-25 21:36 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

209666

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:LeboCast: Use Device's SerialNo for Lebo license. TC-RID: 1201-03005011ssuelD: TS-R-DF-111811Change-1d:
17b6d873b536484cabe65493a0d0f6cfa08db9434(cherry picked from commit de19f5¢c5ebf83c6204db6100519f37ffe804baes)

2025-07-04
#25 - 2023-06-28 17:40 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

210832

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:LeboCast: Fix lebo can't find device problem.Add option of control music steam only. TC-RID: 1201-03005011ssuelD: TS-R-DF-111811,
I0VDEV-36124Change-1d: 1822371393d1a8f9231e47f0de643f6f1283df09

#26 - 2023-06-30 16:45 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

210855

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:LeboCast: Fix lebo can't find device problem.Add option of control music steam only. TC-RID: 1201-0300501lssuelD: TS-R-DF-111811,
I0OVDEV-36124Change-Id: 1822371393d1a8f9231e47f0de643f6f1e283df09(cherry picked from commit 1334b6705521372969971d895df05f008ca06839)

#27 - 2023-08-14 18:09 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

303090

general/platform/vendor/hht/apps/LeB
oCast

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:LeboCast: update new sdkversion: SDK_r60057_28110TC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id:
14f497274b39c1faf6f371fae4a97f0af590e4fe3

#28 - 2023-08-14 18:58 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

303212

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:LeboCast: update new sdkversion: SDK_r60057_28110TC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id:
14f497274b39c1faf6f371fae4a97f0af590e4fe3(cherry picked from commit ed37efe0c07fa728h56ba5h4413d9d81c6ad541e)

2025-07-04
#29 - 2023-09-13 11:01 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

312174

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:LeboCast: Disable when HiCar connectTC-RID: 1201-03005011ssuelD: TS-R-DF-111811Change-1d: 1025510397¢c1a75366d183fef76b3f60f44256f6f

#30 - 2023-09-19 15:46 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

313742

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:LeboCast: VC1 Ul V1.2TC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-1d: 1f404511c78dd2d84f6934ec7fe792d8e25aabf72

#31 - 2023-09-20 20:18 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

314643

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:LeboCast: Disable when HiCar connectTC-RID: 1201-03005011ssuel D: TS-R-DF-111811Change-1d: 1025510397¢1a75366d183fef76b3f60f44256f6f(cherry
picked from commit b42328426755183b97b523adef7c790928a22a24)

#32 - 2023-09-20 20:18 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

314644

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:LeboCast: VC1 Ul V1.2TC-RID: 1201-0300501Issuel D: TS-R-DF-111811Change-1d: 1f404511c78dd2d84f6934ec7fe792d8e25aabf72(cherry picked from
commit 754db9cf994cce58a77ee99ce196b376542dcf64)

#33 - 2023-10-12 19:57 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

317743

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

2025-07-04

719




AF:LeboCast: update new sdkversion: SDK_r60057_28112TC-RID: 1201-03005011ssuelD: TS-R-DF-111811Change-Id:
11c45008197d1d83f0847c40f55a7ee3c6c5377e2

#34 - 2023-10-12 22:35 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

319126

general/platform/vendor/hht/apps/LeB
oCast

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:LeboCast: update new sdkversion: SDK_r60057_28112TC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id:
11c450b8197d1d83f0847c40f55a7ee3c6c5377e2(cherry picked from commit 39e6¢f238a306cd686d5024491602b28a6aefe36)

#35 - 2023-10-18 15:51 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

320451

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:LeboCast: MCE Ul V2.1TC-RID: 1201-0300501Issuel D: TS-R-DF-111811Change-Id: 15ec7d01f23076ba06f2c67dd84f0e3847e88c187

#36 - 2023-10-27 01:49 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

323304

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

AF:LeboCast: MCE Ul VV2.1TC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id: 15ec7d01f23076ba06f2c67dd84f0e3847e88¢c187(cherry picked from
commit e9a9e9ddce0fe91c632b4ebdch9d85d0991cel51)

#37 - 2023-12-21 19:28 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

338463

general/platform/vendor/hht/apps/LeB
oCast

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

2025-07-04
AF:LeboCast: update new sdkversion: SDK_r60065_29501TC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id:
13fe01e2661a84b5a66c675a0e902d05f5d6¢65fh

#38 - 2023-12-25 21:38 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

339810

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:LeboCast: update new sdkversion: SDK_r60065_29501TC-RID: 1201-0300501IssuelD: TS-R-DF-111811Change-Id:
13fe01e2661a84h5a66¢675a0e902d05f5d6¢65fh(cherry picked from commit cafec28ef788855b624e86¢1b7552473a9b03d7d)

#39 - 2023-12-28 14:52 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

340130

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:LeboCast: update new sdkversion: SDK_r60065_29505TC-RID: 1201-03005011ssuelD: TS-R-DF-111811Change-Id:
18c462b1781e26cda5c04d23ce40b10fa21elfdca

#40 - 2023-12-28 14:56 - 10T scm

Gerrit Merge Information(]

ID

Project

Branch

Uploader

340720

general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:LeboCast: update new sdkversion: SDK_r60065_29505TC-RID: 1201-03005011ssuelD: TS-R-DF-111811Change-Id:
18c462b1781e26cda5c04d23ce40b10fa21elfdca(cherry picked from commit 6fd9107b1799985bae0dc9b4361c63f4756a0be5)

2025-07-04
